<template>
  <v-data-table
    :headers="headers"
    :items="desserts"
    :loading="loading"
    :search="search"
    class="elevation-1"
  >
    <slot></slot>
  </v-data-table>
</template>

<script>
export default {
  name: 'Searchbar',

  props: {
    header: {
      type: Array,
      default: () => ([])
    },

    loading: {
      type: Boolean,
      default: true
    },

    total: {
      type: Number,
      default: 1
    },

    search: {
      type: String,
      default: ''
    }
  },

  data: () => ({
    totalDesserts: 0,
    desserts: [
      {
        name: 'Frozen Yogurt',
        calories: 159,
        fat: 6.0,
        carbs: 24,
        protein: 4.0,
        iron: '1%'
      },
      {
        name: 'Ice cream sandwich',
        calories: 237,
        fat: 9.0,
        carbs: 37,
        protein: 4.3,
        iron: '1%'
      },
      {
        name: 'Eclair',
        calories: 262,
        fat: 16.0,
        carbs: 23,
        protein: 6.0,
        iron: '7%'
      },
      {
        name: 'Cupcake',
        calories: 305,
        fat: 3.7,
        carbs: 67,
        protein: 4.3,
        iron: '8%'
      },
      {
        name: 'Gingerbread',
        calories: 356,
        fat: 16.0,
        carbs: 49,
        protein: 3.9,
        iron: '16%'
      },
      {
        name: 'Jelly bean',
        calories: 375,
        fat: 0.0,
        carbs: 94,
        protein: 0.0,
        iron: '0%'
      },
      {
        name: 'Lollipop',
        calories: 392,
        fat: 0.2,
        carbs: 98,
        protein: 0,
        iron: '2%'
      },
      {
        name: 'Honeycomb',
        calories: 408,
        fat: 3.2,
        carbs: 87,
        protein: 6.5,
        iron: '45%'
      },
      {
        name: 'Donut',
        calories: 452,
        fat: 25.0,
        carbs: 51,
        protein: 4.9,
        iron: '22%'
      },
      {
        name: 'KitKat',
        calories: 518,
        fat: 26.0,
        carbs: 65,
        protein: 7,
        iron: '6%'
      }
    ],
    options: {}
  }),

  watch: {
    options (data) {
      console.log(JSON.parse(JSON.stringify(data)))
    },

    search (data) {
      console.log(data)
    }
  }
}
</script>
